Results 1 to 2 of 2

Thread: compile error and missing package

  1. #1
    Sencha Premium User
    Join Date
    Dec 2010
    Posts
    265
    Vote Rating
    8
      0  

    Default compile error and missing package

    Got the error below when running npm run all

    Code:
    i [ext]: ext-build-util:[ERR] Cannot satisfy requirements for "ux"!
    I tried to install the UX package but got a not found error

    Code:
    npm install -g @sencha/ext-classic-ux
    Code:
    npm ERR! code E404
    npm ERR! 404 Not Found: @sencha/ext-classic-ux@latest

  2. #2
    Sencha User
    Join Date
    Jan 2010
    Posts
    9
    Vote Rating
    0
      0  

    Default

    Hi! You can try to install ext-ux, according to http://npm.sencha.com/

    npm install -g @sencha/ext-ux
    however, I've added ${workspace.dir}/node_modules/@sencha into packages section in workspace.json for proper build.

Similar Threads

  1. sencha compile doesn't know package ext-charts
    By daDuke in forum Sencha Cmd
    Replies: 3
    Last Post: 4 May 2016, 11:49 AM
  2. Replies: 9
    Last Post: 5 Apr 2016, 3:00 PM
  3. Replies: 2
    Last Post: 6 Jan 2015, 8:15 AM
  4. [OPEN] fail to compile ext-theme-neutral package
    By DTT_11-1983 in forum Sencha Cmd
    Replies: 1
    Last Post: 20 May 2013, 5:04 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •